<?php

session_start();
include_once '../../business/negocioMantenedores/NegocioVehiculo.php';

class ControlVehiculo {

    public function obtenerConfiguracionesMantenimiento() {
        $data = new NegocioVehiculo();
        return $data->obtenerConfiguracionesMantenimiento();
    }

    public function obtenerConfiguracionesInicialesForm($paramEnviar) {
        $data = new NegocioVehiculo();
        return $data->obtenerConfiguracionesInicialesForm($paramEnviar);
    }

    public function guardarVehiculo($paramEnviar) {
        $data = new NegocioVehiculo();
        return $data->guardarVehiculo($paramEnviar);
    }

    public function listarVehiculos() {
        $data = new NegocioVehiculo();
        return $data->listarVehiculos();
    }

    public function eliminarVehiculo($paramEnviar) {
        $data = new NegocioVehiculo();
        return $data->eliminarVehiculo($paramEnviar);
    }

    public function guardarMantenimiento($paramEnviar) {
        $data = new NegocioVehiculo();
        return $data->guardarMantenimiento($paramEnviar);
    }

    public function listarMantenimientos($paramEnviar) {
        $data = new NegocioVehiculo();
        return $data->listarMantenimientos($paramEnviar);
    }

    public function eliminarMantenimiento($paramEnviar) {
        $data = new NegocioVehiculo();
        return $data->eliminarMantenimiento($paramEnviar);
    }

}
